> This page is for version v2026-10-01.
> For other versions, use one of these documentation indexes:
> - v2026-04-01 (default): https://docs.givechariot.com/v2026-04-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# The Deposit Object

### Response (200)

```json
{
  "id": "deposit_01j8rs605a4gctmbm58d87mvsj",
  "status": "complete",
  "transfer": {
    "amount": 25000,
    "currency": "USD",
    "financial_account_id": "fa_01j8rs605a4gctmbm58d87mvsj",
    "description": "FIDELITY CHARITABLE GRANT",
    "bank_created_at": "2026-09-25T14:00:00Z",
    "inbound_ach_transfer": {
      "standard_entry_class_code": "CCD",
      "company_entry_description": "GRANTPMT",
      "originator_routing_number": "021000021",
      "originator_company_name": "Fidelity Charitable",
      "trace_number": "021000021234567",
      "effective_date": "2026-09-25T00:00:00Z",
      "status": "accepted",
      "company_discretionary_data": "GRANT-2026-001"
    }
  },
  "created_at": "2026-09-25T14:00:00Z",
  "updated_at": "2026-09-25T18:00:00Z",
  "source_id": "source_01m12tn300eh20gdqscje7s5jw",
  "deposit_address_id": "deposit_address_01m12tn300eh20gdqscje7s5jw",
  "settled_at": "2026-09-25T18:00:00Z",
  "properties": []
}
```

### Schema (`Deposit`)

```yaml
components:
  schemas:
    DepositStatus:
      type: string
      enum:
        - pending
        - complete
        - failed
      description: The status of the deposit.
      title: DepositStatus
    InboundAccountTransfer:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: The date and time the account transfer was created
      required:
        - created_at
      description: >-
        An instant transfer of funds between two financial accounts.

        This is the preferred method of transferring funds for Grantmakers
        within Chariot's Network.
      title: InboundAccountTransfer
    InboundAchTransferStatus:
      type: string
      enum:
        - pending
        - declined
        - accepted
        - returned
      description: The status of the ACH transfer.
      title: InboundAchTransferStatus
    InboundAchTransfer:
      type: object
      properties:
        standard_entry_class_code:
          type: string
          description: The Standard Entry Class (SEC) code for the ACH transfer.
        company_entry_description:
          type: string
          description: The company entry description for the ACH transfer.
        originator_routing_number:
          type: string
          description: The routing number of the originator of the ACH transfer.
        originator_company_name:
          type: string
          description: The name of the originator of the ACH transfer.
        trace_number:
          type: string
          description: The trace number for the ACH transfer.
        effective_date:
          type: string
          format: date-time
          description: >-
            The effective date for the ACH transfer. The time component is
            always midnight UTC.
        status:
          $ref: '#/components/schemas/InboundAchTransferStatus'
          description: The status of the ACH transfer.
        company_discretionary_data:
          type: string
          description: >-
            Optional data set by the originator for their own internal use,
            taken from the Company Discretionary Data field of the ACH batch
            header record.
      description: An ACH transfer initiated outside of Chariot to your financial account.
      title: InboundAchTransfer
    AchTransferStatus:
      type: string
      enum:
        - initiated
        - pending_submission
        - submitted
        - completed
        - rejected
        - returned
        - canceled
      description: |-
        The lifecycle status of the ACH transfer.
        Possible values include:
          - `initiated`: The ACH transfer has been initiated and is pending submission to the Federal Reserve.
          - `pending_submission`: The ACH transfer is queued for submission to the Federal Reserve.
          - `submitted`: The ACH transfer has been submitted to the Federal Reserve.
          - `completed`: The ACH transfer has been completed. Funds should be settled.
          - `rejected`: The ACH transfer was rejected.
          - `returned`: The ACH transfer was returned by the receiving organization.
          - `canceled`: The ACH transfer was canceled before submission.
      title: AchTransferStatus
    AchTransferDirection:
      type: string
      enum:
        - credit
        - debit
      description: The direction of the ACH transfer.
      title: AchTransferDirection
    AchTransferStandardEntryClassCode:
      type: string
      enum:
        - corporate_credit_or_debit
        - prearranged_payments_and_deposit
        - international_ach_transaction
        - internet_initiated
        - corporate_trade_exchange
      description: The Standard Entry Class (SEC) code for the ACH transfer.
      title: AchTransferStandardEntryClassCode
    AchTransfer:
      type: object
      properties:
        transfer_id:
          type: string
          description: The unique identifier for the ACH transfer
        amount:
          type: integer
          format: int64
          description: |-
            The amount of the ACH transfer in minor currency units (cents).
            For ACH debits, this is a negative number.
        status:
          $ref: '#/components/schemas/AchTransferStatus'
          description: |-
            The lifecycle status of the ACH transfer.
            Possible values include:
              - `initiated`: The ACH transfer has been initiated and is pending submission to the Federal Reserve.
              - `pending_submission`: The ACH transfer is queued for submission to the Federal Reserve.
              - `submitted`: The ACH transfer has been submitted to the Federal Reserve.
              - `completed`: The ACH transfer has been completed. Funds should be settled.
              - `rejected`: The ACH transfer was rejected.
              - `returned`: The ACH transfer was returned by the receiving organization.
              - `canceled`: The ACH transfer was canceled before submission.
        direction:
          $ref: '#/components/schemas/AchTransferDirection'
          description: The direction of the ACH transfer.
        standard_entry_class_code:
          $ref: '#/components/schemas/AchTransferStandardEntryClassCode'
          description: The Standard Entry Class (SEC) code for the ACH transfer.
        company_entry_description:
          type: string
          description: |-
            The company entry description for the ACH transfer.
            This is included in the transfer data sent to the receiving bank.
        trace_number:
          type: string
          description: >-
            A 15 digit number recorded in the Nacha file and transmitted to the
            receiving bank.

            Along with the amount, date, and originating routing number, this
            can be used to identify the ACH transfer at the receiving bank.

            ACH trace numbers are not unique, but are used to correlate returns.
        effective_date:
          type: string
          format: date-time
          description: >-
            The ACH transfer's effective date as sent to the Federal Reserve.

            This is the date the funds will be available to the receiving
            organization.

            The time component is always midnight UTC.
        submitted_at:
          type: string
          format: date-time
          description: >-
            The date and time the ACH transfer was submitted to the Federal
            Reserve.
        settled_at:
          type: string
          format: date-time
          description: |-
            The date and time at which the ACH transfer was settled.
            If the transfer is not settled, this will be null.
        rejected_at:
          type: string
          format: date-time
          description: |-
            The date and time at which the ACH transfer was rejected.
            If the transfer is not rejected, this will be null.
        returned_at:
          type: string
          format: date-time
          description: |-
            The date and time at which the ACH transfer was returned.
            If the transfer is not returned, this will be null.
        created_at:
          type: string
          format: date-time
          description: The date and time the ACH transfer was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the ACH transfer was last updated
      required:
        - transfer_id
        - amount
        - status
        - created_at
      description: >-
        An ACH transfer represents an electronic transfer of funds via the
        Automated Clearing House (ACH) payment network.
      title: AchTransfer
    CheckDepositStatus:
      type: string
      enum:
        - pending
        - deposited
        - rejected
        - returned
      description: The status of the check deposit.
      title: CheckDepositStatus
    CheckDeposit:
      type: object
      properties:
        auxiliary_on_us:
          type: string
          description: |-
            An additional line of metadata printed on the check.
            This typically includes the check number for business checks.
        routing_number:
          type: string
          description: |-
            The routing number printed on the check.
            This is a routing number for the bank that issued the check.
        submitted_at:
          type: string
          format: date-time
          description: The date and time the check deposit was submitted.
        status:
          $ref: '#/components/schemas/CheckDepositStatus'
          description: The status of the check deposit.
      description: >-
        A check deposit represents a physical check that is deposited into a
        financial account.
      title: CheckDeposit
    InboundRealTimePaymentsTransferStatus:
      type: string
      enum:
        - pending_confirmation
        - confirmed
        - declined
      description: The status of the inbound real-time payments transfer.
      title: InboundRealTimePaymentsTransferStatus
    InboundRealTimePaymentsTransfer:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/InboundRealTimePaymentsTransferStatus'
          description: The status of the inbound real-time payments transfer.
        debtor_name:
          type: string
          description: The name of the debtor who sent the transfer.
        debtor_routing_number:
          type: string
          description: The routing number of the debtor's financial account.
        debtor_account_number:
          type: string
          description: The account number of the debtor's financial account.
        transaction_identification:
          type: string
          description: The transaction identification assigned by the sender.
        remittance_information:
          type: string
          description: Unstructured remittance information sent with the transfer.
        confirmed_at:
          type: string
          format: date-time
          description: The date and time the transfer was confirmed.
      description: >-
        A Real-Time Payments transfer initiated outside of Chariot to your
        financial account.

        Inbound Real-Time Payments transfers settle immediately.
      title: InboundRealTimePaymentsTransfer
    InboundWireTransferStatus:
      type: string
      enum:
        - pending_confirmation
        - confirmed
      description: The status of the inbound wire transfer.
      title: InboundWireTransferStatus
    InboundWireTransfer:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/InboundWireTransferStatus'
          description: The status of the inbound wire transfer.
        originator_name:
          type: string
          description: The name of the originator who sent the transfer.
        originator_routing_number:
          type: string
          description: The routing number of the originator's financial account.
        originator_account_number:
          type: string
          description: The account number of the originator's financial account.
        confirmed_at:
          type: string
          format: date-time
          description: The date and time the transfer was confirmed.
      description: A wire transfer initiated outside of Chariot to your financial account.
      title: InboundWireTransfer
    Transfer:
      type: object
      properties:
        amount:
          type: integer
          format: int64
          description: >-
            The amount of the transfer in minor currency units. For example, for
            dollars, this is cents.
        currency:
          type: string
          description: >-
            The [ISO 4217 code](https://en.wikipedia.org/wiki/ISO_4217) for the
            transfer's currency.
        financial_account_id:
          type: string
          description: >-
            The unique identifier for the financial account that the transfer
            was made to.
        description:
          type: string
          description: A description of the transfer.
        bank_created_at:
          type: string
          format: date-time
          description: The date and time the bank recorded the transfer.
        inbound_account_transfer:
          $ref: '#/components/schemas/InboundAccountTransfer'
          description: An instant transfer from another Chariot account.
        inbound_ach_transfer:
          $ref: '#/components/schemas/InboundAchTransfer'
          description: An ACH credit received from an external bank.
        ach_transfer:
          $ref: '#/components/schemas/AchTransfer'
          description: >-
            An ACH debit Chariot pulled from an external bank account to fund
            the account.
        check_deposit:
          $ref: '#/components/schemas/CheckDeposit'
          description: A check that Chariot processed and deposited.
        inbound_real_time_payments_transfer:
          $ref: '#/components/schemas/InboundRealTimePaymentsTransfer'
          description: A real-time payments transfer received from an external bank.
        inbound_wire_transfer:
          $ref: '#/components/schemas/InboundWireTransfer'
          description: A wire transfer received from an external bank.
      required:
        - amount
        - currency
        - financial_account_id
      description: The transfer that carried the funds for a deposit.
      title: Transfer
    PropertyType:
      type: string
      enum:
        - text
        - enum
        - user
        - boolean
        - date
      description: The data type of a property.
      title: PropertyType
    PropertyValue:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PropertyType'
        text_value:
          type: string
          description: The text value of the property.
        enum_value_id:
          type: string
          description: The unique identifier for the enum value.
        user_value_id:
          type: string
          description: The unique identifier for the user.
        boolean_value:
          type: boolean
          description: The boolean value of the property.
        date_value:
          type: string
          format: date-time
          description: The date value of the property.
        empty:
          type: boolean
          description: |-
            Whether the property value is empty.
            Can use this to unset property values when assigning a property.
      required:
        - type
      title: PropertyValue
    PropertyAssignment:
      type: object
      properties:
        property_id:
          type: string
          description: The unique identifier for the property.
        value:
          $ref: '#/components/schemas/PropertyValue'
      description: >-
        A property assignment is a key-value pair that is associated with a
        donation.
      title: PropertyAssignment
    Deposit:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the deposit.
        source_id:
          type: string
          description: >-
            The identifier of the [Source](/api-reference/sources) that sent
            this deposit.
        payment_source_id:
          type: string
          description: Deprecated. Use `source_id`.
          deprecated: true
        deposit_address_id:
          type:
            - string
            - 'null'
          description: >-
            The identifier of the [Deposit
            Address](/api-reference/deposit-addresses)

            that received the funds. Null when the funds didn't arrive through a

            deposit address, such as a mailed check.
        settled_at:
          type: string
          format: date-time
          description: The date and time when the deposit was settled.
        returned_at:
          type: string
          format: date-time
          description: The date and time when the deposit was returned.
        status:
          $ref: '#/components/schemas/DepositStatus'
          description: The status of the deposit.
        transfer:
          $ref: '#/components/schemas/Transfer'
          description: The transfer that carried the funds.
        properties:
          type: array
          items:
            $ref: '#/components/schemas/PropertyAssignment'
          description: A list of properties assigned to the deposit.
        created_at:
          type: string
          format: date-time
          description: The date and time when the deposit was created.
        updated_at:
          type: string
          format: date-time
          description: The date and time when the deposit was last updated.
        bank_created_at:
          type: string
          format: date-time
          description: Deprecated. Use `transfer.bank_created_at`.
          deprecated: true
      required:
        - id
        - status
        - transfer
        - created_at
        - updated_at
      title: Deposit
```